<script setup>
import { computed, ref } from "vue";
import { useStore } from "vuex";

import FormDefault from "@components/Form/FormDefault.vue";
import Modal from "@components/Template/ModalOverlay.vue";

const store = useStore();
const prompt = computed(() => store.state.adaptor.prompt);
const data = ref(null);

function answer() {
  store.dispatch("adaptor/answerPrompt", data.value);
}

function cancel() {
  store.dispatch("adaptor/cancelPrompt");
}
</script>

<template>
  <Modal v-if="prompt.visible" :modal="prompt" :css-classes="['', 'is-danger']" @close-modal="cancel">
    <template #header>PROMPT HEADER</template>
    {{ prompt.message || "no message" }}
    <FormDefault
      v-if="prompt.schema"
      :schema="prompt.schema"
      :data="{}"
      :show-controls="false"
      @data-changed="data = $event"
    />
    <template #footer>
      <button class="button" @click="answer">CONFIRM</button>
      <button class="button" @click="cancel">CANCEL</button>
    </template>
  </Modal>
</template>
